=== modified file 'drizzled/field_conv.cc'
--- drizzled/field_conv.cc	2008-12-17 04:02:20 +0000
+++ drizzled/field_conv.cc	2008-12-17 04:34:16 +0000
@@ -143,6 +143,11 @@
     return 0;
   }
   field->reset();
+  if (field->table->in_use->count_cuted_fields == CHECK_FIELD_WARN)
+  {
+    field->set_warning(DRIZZLE_ERROR::WARN_LEVEL_WARN, ER_WARN_DATA_TRUNCATED, 1);
+    return 0;
+  }
   if (!field->table->in_use->no_errors)
     my_error(ER_BAD_NULL_ERROR, MYF(0), field->field_name);
   return -1;
@@ -194,6 +199,11 @@
     field->table->auto_increment_field_not_null= false;
     return 0;				  // field is set in fill_record()
   }
+  if (field->table->in_use->count_cuted_fields == CHECK_FIELD_WARN)
+  {
+    field->set_warning(DRIZZLE_ERROR::WARN_LEVEL_WARN, ER_BAD_NULL_ERROR, 1);
+    return 0;
+  }
   if (!field->table->in_use->no_errors)
     my_error(ER_BAD_NULL_ERROR, MYF(0), field->field_name);
   return -1;

